#ifndef ConnectionParser_h
#define ConnectionParser_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "SshConnectionAttributes.h"
#include "Counter.h"
#include "Debug.h"
#include "File.h"

//! Store list of Document Class
class ConnectionParser: public Counter
{

    public:

    //! constructor
    ConnectionParser( const File& file ):
        Counter( "ConnectionParser" ),
        file_( file )
    { Debug::Throw( "ConnectionParser::ConnectionParser.\n" ); }

    //! destructor
    ~ConnectionParser( void )
    { Debug::Throw( "ConnectionParser::~ConnectionParser.\n" ); }

    //! read classes from file
    Ssh::ConnectionAttributes::List read( void );

    //! write classes to file
    void write( const Ssh::ConnectionAttributes::List& );

    //! error
    bool hasError( void ) const
    { return !error_.isEmpty(); }

    //! erro
    QString error( void ) const
    { return error_; }

    private:

    //! file
    File file_;

    // error
    QString error_;

};

#endif
