#ifndef DefaultOptions_h
#define DefaultOptions_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/
#include "XmlOptions.h"
#include "File.h"
#include "SystemNotifications.h"
#include "Util.h"

//_____________________________________________________
//! Default options installer
void installDefaultOptions( void )
{
    // set options default values
    XmlOptions::get().setAutoDefault( true );

    XmlOptions::get().set<int>( "MESSAGE_BOX_DELAY", 10 );

    // display options
    XmlOptions::get().set<int>( "WINDOW_BORDER", 4 );
    XmlOptions::get().set<bool>( "ROUND_CORNERS", true );

    // use system notifications
    XmlOptions::get().set<bool>( "USE_SYSTEM_NOTIFICATIONS", SystemNotifications::isSupported() );
    XmlOptions::get().set( "RC_FILE", Option(  File(".qsshrc").addPath(Util::home()), Option::None ) );
    XmlOptions::get().setAutoDefault( false );

    // network device auto check
    XmlOptions::get().set<bool>( "NETWORK_AUTO_SELECT", true );
    XmlOptions::get().set<int>( "NETWORK_AUTO_SELECT_RATE", 10 );

};

#endif
