#ifndef LogDialog_h
#define LogDialog_h


/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

/*!
\file LogDialog.h
\brief logging dialog
\author Hugo Pereira
\version $Revision$
\date $Date$
*/

#include <QString>

#include "CustomDialog.h"
#include "Counter.h"

class TextEditor;

//! logging dialog
class LogDialog: public CustomDialog
{

    Q_OBJECT

        public:

        //! constructor
        LogDialog( QWidget* parent = 0 );

    //! destructor
    virtual ~LogDialog( void );

    public Q_SLOTS:

    //! process message
    void processMessage( QString );

    private:

    //! editor
    TextEditor& _editor( void ) const
    { return *editor_; }

    //! editor
    TextEditor* editor_;

};

#endif
