#ifndef TunnelWidget_h
#define TunnelWidget_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "SshTunnelAttributes.h"

#include <QSpinBox>

class LineEditor;

//* handles ssh connection attributes
class TunnelWidget: public QWidget
{

    Q_OBJECT

    public:

    //* constructor
    TunnelWidget( QWidget* = nullptr );

    //* destructor
    virtual ~TunnelWidget( void ) = default;

    //* set connection attributes
    void setAttributes( const Ssh::TunnelAttributes& );

    //* get connection attributes
    Ssh::TunnelAttributes attributes( void ) const;

    private:

    //* name editor
    QSpinBox* localPortSpinBox_ = nullptr;

    //* host
    LineEditor* hostEditor_ = nullptr;

    //* user
    QSpinBox* remotePortSpinBox_ = nullptr;


};

#endif
